> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# यूज़र सब्सक्रिप्शन पाएं

GET https://api.elevenlabs.io/v1/user/subscription

यूज़र के सब्सक्रिप्शन की विस्तृत जानकारी पाता है

Reference: https://elevenlabs.io/docs/api-reference/user/subscription/get

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Response

### 200

सफल रिस्पॉन्स

- `tier` (string, required) — यूज़र के सब्सक्रिप्शन का टियर।
- `character_count` (integer, required) — यूज़र द्वारा इस्तेमाल किए गए कैरेक्टर्स की संख्या।
- `character_limit` (integer, required) — मौजूदा बिलिंग अवधि में अनुमत वर्णों की अधिकतम संख्या।
- `max_character_limit_extension` (integer, required, nullable) — डीप्रिकेटेड: `max_credit_limit_extension` इस्तेमाल करें। कैरेक्टर सीमा जितने अधिकतम कैरेक्टर तक पार की जा सकती है। इसका प्रबंधन वर्कस्पेस एडमिन करता है।
- `max_credit_limit_extension` (ExtendedSubscriptionResponseModelMaxCreditLimitExtension, required) — क्रेडिट सीमा से अधिक इस्तेमाल किए जा सकने वाले क्रेडिट की अधिकतम संख्या। इसे वर्कस्पेस एडमिन प्रबंधित करता है। `"unlimited"` का अर्थ कोई सीमा नहीं है, `0` का अर्थ उपयोग-आधारित बिलिंग बंद है।
- `can_extend_character_limit` (boolean, required) — क्या वर्कस्पेस ओवरेज (उपयोग-आधारित बिलिंग) का उपयोग कर सकता है।
- `allowed_to_extend_character_limit` (boolean, required) — डीप्रिकेटेड: `max_credit_limit_extension != 0` इस्तेमाल करें। यूज़र को अपनी कैरेक्टर सीमा बढ़ाने की अनुमति है या नहीं।
- `voice_slots_used` (integer, required) — यूज़र द्वारा इस्तेमाल किए गए वॉइस स्लॉट्स की संख्या।
- `professional_voice_slots_used` (integer, required) — इस्तेमाल किए गए प्रोफ़ेशनल वॉइस स्लॉट्स की संख्या। कंसॉलिडेटेड बिलिंग के लिए यह ग्रुप के सभी वर्कस्पेसेस की कुल गिनती है; केवल मौजूदा वर्कस्पेस के लिए professional_voice_slots_used_in_workspace देखें।
- `professional_voice_slots_used_in_workspace` (integer, required) — मौजूदा वर्कस्पेस में इस्तेमाल किए गए प्रोफ़ेशनल वॉइस स्लॉट्स की संख्या। कंसॉलिडेटेड बिलिंग के लिए, professional_voice_slots_used ग्रुप के सभी वर्कस्पेसेस की गिनती करता है, जबकि यह केवल मौजूदा वर्कस्पेस की गिनती करता है।
- `voice_limit` (integer, required) — यूज़र के लिए अनुमत वॉइस स्लॉट की अधिकतम संख्या।
- `voice_add_edit_counter` (integer, required) — यूज़र द्वारा इस्तेमाल किए गए वॉइस ऐड/एडिट्स की संख्या।
- `professional_voice_limit` (integer, required) — यूज़र के लिए अनुमत प्रोफ़ेशनल वॉइस की अधिकतम संख्या।
- `can_extend_voice_limit` (boolean, required) — क्या यूज़र अपनी वॉइस सीमा बढ़ा सकता है।
- `can_use_instant_voice_cloning` (boolean, required) — क्या यूज़र instant वॉइस क्लोनिंग का उपयोग कर सकता है।
- `can_use_professional_voice_cloning` (boolean, required) — क्या यूज़र professional वॉइस क्लोनिंग का उपयोग कर सकता है।
- `current_overage` (Price, required) — मौजूदा उपयोग-आधारित अतिरिक्त लागत।
- `status` (enum, required) — यूज़र के सब्सक्रिप्शन का स्टेटस।
  - Allowed values: `trialing`, `active`, `incomplete`, `past_due`, `free`, `free_disabled`
- `open_invoices` (list of InvoiceResponseModel, required) — यूज़र के खुले इनवॉइस।
- `has_open_invoices` (boolean, required) — क्या यूज़र के कोई बकाया इनवॉइस हैं।
- `next_character_count_reset_unix` (integer, optional, nullable) — अगली कैरेक्टर काउंट रीसेट का Unix टाइमस्टैंप।
- `max_voice_add_edits` (integer, optional, nullable) — यूज़र के लिए अनुमत वॉइस जोड़ने/एडिट करने की अधिकतम संख्या।
- `currency` (enum, optional, nullable) — यूज़र के सब्सक्रिप्शन की मुद्रा।
  - Allowed values: `usd`, `eur`, `inr`, `pln`, `gbp`
- `billing_period` (enum, optional, nullable) — यूज़र के सब्सक्रिप्शन की बिलिंग अवधि।
  - Allowed values: `monthly_period`, `3_month_period`, `6_month_period`, `annual_period`
- `character_refresh_period` (enum, optional, nullable) — यूज़र के सब्सक्रिप्शन की कैरेक्टर रीफ़्रेश अवधि।
  - Allowed values: `monthly_period`, `3_month_period`, `6_month_period`, `annual_period`
- `next_invoice` (InvoiceResponseModel, optional, nullable) — यूज़र के लिए अगला इनवॉइस।
- `pending_change` (ExtendedSubscriptionResponseModelPendingChange, optional, nullable) — यूज़र के लिए लंबित बदलाव।
- `has_used_starter_coupon_on_account` (boolean, optional, default: false) — अगर इस यूज़र के auth अकाउंट के स्वामित्व वाले किसी वर्कस्पेस ने starter के पहले महीने का डिस्काउंट कूपन रिडीम किया है, तो true।
- `has_used_creator_coupon_on_account` (boolean, optional, default: false) — अगर इस यूज़र के auth अकाउंट के स्वामित्व वाले किसी वर्कस्पेस ने creator के पहले महीने का डिस्काउंट कूपन रिडीम किया है, तो true।
- `is_eligible_for_starter_promo` (boolean, optional, default: false) — यदि इस यूज़र का auth अकाउंट checkout वाली ही जांच के अनुसार Starter के पहले महीने के प्रोमो के लिए योग्य है, तो True। प्रोमो दिया जाएगा या नहीं, यह अभी भी starter_discount feature flag तय करता है।

## Errors

### 422 Unprocessable Entity Error

वैलिडेशन एरर

- `detail` (list of ValidationError, optional)

## Types

### ExtendedSubscriptionResponseModelMaxCreditLimitExtension

क्रेडिट सीमा से अधिक इस्तेमाल किए जा सकने वाले क्रेडिट की अधिकतम संख्या। इसे वर्कस्पेस एडमिन प्रबंधित करता है। `"unlimited"` का अर्थ कोई सीमा नहीं है, `0` का अर्थ उपयोग-आधारित बिलिंग बंद है।

### Price

मुद्रा/राशि जोड़ी।

- `amount` (string, required)
- `currency` (enum, required)
  - Allowed values: `usd`, `eur`, `inr`, `pln`, `gbp`

### InvoiceResponseModel

- `amount_due_cents` (integer, required) — सेंट्स में देय राशि।
- `discounts` (list of DiscountResponseModel, required) — इनवॉइस पर लागू डिस्काउंट्स।
- `next_payment_attempt_unix` (integer, required) — अगले भुगतान प्रयास का Unix टाइमस्टैंप। अगला भुगतान प्रयास न होने पर -1।
- `payment_intent_status` (enum, required, nullable) — डीप्रिकेटेड। इसके बजाय [payment_intent_statusses] इस्तेमाल करें। इस इनवॉइस के पहले पेमेंट इंटेंट की स्थिति। पेमेंट इंटेंट न होने पर None।
  - Allowed values: `canceled`, `processing`, `requires_action`, `requires_capture`, `requires_confirmation`, `requires_payment_method`, `succeeded`
- `payment_intent_statusses` (list of enum, required) — इस इनवॉइस के पेमेंट इंटेंट्स के स्टेटस। पेमेंट इंटेंट न होने पर सूची खाली होगी।
  - Allowed values: `canceled`, `processing`, `requires_action`, `requires_capture`, `requires_confirmation`, `requires_payment_method`, `succeeded`
- `subtotal_cents` (integer, optional, nullable) — टैक्स से पहले की सबटोटल राशि, सेंट में (टैक्स और डिस्काउंट शामिल नहीं हैं)।
- `tax_cents` (integer, optional, nullable) — टैक्स की राशि, सेंट में।
- `discount_percent_off` (double, optional, nullable) — डीप्रिकेटेड। इसके बजाय [discounts] इस्तेमाल करें। इनवॉइस पर लागू छूट। उदाहरण: 20% की छूट के लिए [20.0f]।
- `discount_amount_off` (double, optional, nullable) — डीप्रिकेटेड। इसके बजाय [discounts] इस्तेमाल करें। इनवॉइस पर लागू छूट। उदाहरण: 20 सेंट की छूट के लिए [20.0f]।

### ExtendedSubscriptionResponseModelPendingChange

यूज़र के लिए लंबित बदलाव।

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### DiscountResponseModel

- `discount_percent_off` (double, optional, nullable) — इनवॉइस पर लागू डिस्काउंट। उदाहरण: 20% छूट के लिए [20.0f]।
- `discount_amount_off` (double, optional, nullable) — इनवॉइस पर लागू डिस्काउंट। उदाहरण: 20 सेंट की छूट के लिए [20.0f]।

### PendingSubscriptionSwitchResponseModel

- `next_tier` (enum, required) — बदलने के लिए टियर।
  - Allowed values: `free`, `starter`, `go`, `creator`, `pro`, `growing_business`, `scale_2024_08_10`, `grant_tier_1_2025_07_23`, `grant_tier_2_2025_07_23`, `grant`, `trial`, `enterprise`
- `next_billing_period` (enum, required) — जिस बिलिंग अवधि में बदलना है।
  - Allowed values: `monthly_period`, `3_month_period`, `6_month_period`, `annual_period`
- `timestamp_seconds` (integer, required) — बदलाव का टाइमस्टैंप।
- `kind` ("change", optional, default: change)

### PendingCancellationResponseModel

- `timestamp_seconds` (integer, required) — रद्द करने का टाइमस्टैंप।
- `kind` ("cancellation", optional, default: cancellation)

### ValidationErrorLocItems

## Examples

**Response**

```json
{
  "tier": "starter",
  "character_count": 1000,
  "character_limit": 10000,
  "max_character_limit_extension": 10000,
  "max_credit_limit_extension": 10000,
  "can_extend_character_limit": true,
  "allowed_to_extend_character_limit": true,
  "voice_slots_used": 1,
  "professional_voice_slots_used": 0,
  "professional_voice_slots_used_in_workspace": 0,
  "voice_limit": 10,
  "voice_add_edit_counter": 0,
  "professional_voice_limit": 1,
  "can_extend_voice_limit": true,
  "can_use_instant_voice_cloning": true,
  "can_use_professional_voice_cloning": true,
  "current_overage": {
    "amount": "0",
    "currency": "usd"
  },
  "status": "active",
  "open_invoices": [
    {
      "amount_due_cents": 1000,
      "discounts": [
        {
          "discount_percent_off": 20
        }
      ],
      "next_payment_attempt_unix": 1738356858,
      "payment_intent_status": "processing",
      "payment_intent_statusses": [
        "processing",
        "succeeded"
      ],
      "subtotal_cents": 900,
      "tax_cents": 100
    }
  ],
  "has_open_invoices": true,
  "next_character_count_reset_unix": 1738356858,
  "currency": "usd",
  "billing_period": "monthly_period",
  "character_refresh_period": "monthly_period",
  "next_invoice": {
    "amount_due_cents": 1000,
    "discounts": [
      {
        "discount_percent_off": 20
      }
    ],
    "next_payment_attempt_unix": 1738356858,
    "payment_intent_status": "processing",
    "payment_intent_statusses": [
      "processing",
      "succeeded"
    ],
    "subtotal_cents": 900,
    "tax_cents": 100
  },
  "has_used_starter_coupon_on_account": false,
  "has_used_creator_coupon_on_account": false,
  "is_eligible_for_starter_promo": false
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/user/subscription"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/user/subscription';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/user/subscription"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/user/subscription")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.elevenlabs.io/v1/user/subscription")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.elevenlabs.io/v1/user/subscription');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/user/subscription");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/user/subscription")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```